<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.10                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

function mod_uc_cats($module_id){

        $inCore = cmsCore::getInstance();// подключаем ядро
        $inDB = cmsDatabase::getInstance();// подключаем базу
        $cfg = $inCore->loadModuleConfig($module_id);// подключаем настройки

        //global $_LANG;//подключаем языковой файл

        $sql = "SELECT id, title, NSLeft, NSRight, NSLevel
				FROM cms_uc_cats
				WHERE parent_id > 0 AND published = 1 AND NSLevel=1
				ORDER BY title";
		$result = $inDB->query($sql);
		$uc_cats = array();
		$current_id = 0;
		while($con = $inDB->fetch_assoc($result)){
			$next = sizeof($uc_cats);
			$uc_cats[$next]['id'] = $con['id'];
			$uc_cats[$next]['title'] = $con['title'];
			$uc_cats[$next]['NSLevel'] = $con['NSLevel'];
			if (($con['NSLeft']+1)<$con['NSRight']) {
				$uc_cats[$next]['StartLevel'] = 1;
				$sql2 = "SELECT id, title, NSLevel FROM cms_uc_cats WHERE NSLeft > {$con['NSLeft']} AND NSRight < {$con['NSRight']} AND published = 1 ORDER BY title";
				$result2 = $inDB->query($sql2);
				while($con2 = $inDB->fetch_assoc($result2)){
					$next = sizeof($uc_cats);
					$uc_cats[$next]['id'] = $con2['id'];
					$uc_cats[$next]['title'] = $con2['title'];
					$uc_cats[$next]['NSLevel'] = $con2['NSLevel'];
					if (strpos($_SERVER['REQUEST_URI'], 'catalog/'.$con2['id']) !== false) { $current_id = $con2['id']; }
				}
				$uc_cats[$next]['EndLevel'] = 1;
			}
			if (strpos($_SERVER['REQUEST_URI'], 'catalog/'.$con['id']) !== false) { $current_id = $con['id']; }
		}
		//print_r($uc_cats);
				
				
        $smarty = $inCore->initSmarty('modules', 'mod_uc_cats.tpl');
        $smarty->assign('uc_cats', $uc_cats);
		$smarty->assign('current_id', $current_id);
		$smarty->assign('cfg', $cfg);
        $smarty->display('mod_uc_cats.tpl');

        return true;
}
?>